- step: |-
    Add `samples/api_fuzzing.json` pre-generated artifact to see High risk vulnerabilities, create a new branch and commit:
          ```json
            {
              "scan": {
                "end_time": "2021-01-07T21:33:40",
                "messages": [],
                "scanner": {
                  "id": "gitlab-api-fuzzing",
                  "name": "GitLab API Fuzzing",
                  "url": "https://docs.gitlab.com/ee/user/application_security/api_fuzzing/",
                  "version": "1.6.71",
                  "vendor": {
                    "name": "GitLab"
                  }
                },
                "start_time": "2021-01-07T21:32:35",
                "status": "success",
                "type": "api_fuzzing",
                "scanned_resources": [
                  {
                    "method": "DELETE",
                    "url": "http://149.248.44.52:7777/api/users/2",
                    "type": "url"
                  },
                  {
                    "method": "DELETE",
                    "url": "http://149.248.44.52:7777/api/users?user=dd",
                    "type": "url"
                  },
                  {
                    "method": "GET",
                    "url": "http://149.248.44.52:7777/api/users",
                    "type": "url"
                  },
                  {
                    "method": "GET",
                    "url": "http://149.248.44.52:7777/api/users/2",
                    "type": "url"
                  },
                  {
                    "method": "GET",
                    "url": "http://149.248.44.52:7777/api/users?user=dd",
                    "type": "url"
                  },
                  {
                    "method": "POST",
                    "url": "http://149.248.44.52:7777/api/users",
                    "type": "url"
                  },
                  {
                    "method": "PUT",
                    "url": "http://149.248.44.52:7777/api/users/2",
                    "type": "url"
                  }
                ]
              },
              "schema": "https://gitlab.com/gitlab-org/security-products/security-report-schemas/-/blob/461227da6a5f42ef936815859b7ec9e6fc30bfb8/dist/dast-report-format.json",
              "version": "14.1.2",
              "vulnerabilities": [
                {
                  "id": "2e1d70b1-9770-48e2-9a13-115c99897bde",
                  "category": "API Fuzzing",
                  "name": "Generic Fuzzing",
                  "message": "Fuzzing injection via '/api' on 'POST 149.248.44.52:7777/api/users'",
                  "description": "Fuzzing performes non-specific injections into target field in an attempt to cause unexpected behaviour of the target. Fuzzing can find injection style issues, buffer overflows, memory corruption, stability issues, and others.  Fuzzing consists of sending mutated/semi-malformed data injections in an automated fashion to the target.\n\nThe 'mutator' is the data generator in use when the issue was identified.\n\nMutator: StringCaseLower\nParameter Original Value: api\nParameter Mutated Value: api\n\n\n",
                  "cve": "bucket:param:Path: /api:check:Generic Fuzzing:check_arg::assert:Status Code:data:14c2529eb4498c5d1ffd6915d05bf58a91bdda796af59f41d480d11c099d0479",
                  "severity": "High",
                  "confidence": "High",
                  "scanner": {
                    "id": "gitlab-api-fuzzing",
                    "name": "GitLab API Fuzzing"
                  },
                  "identifiers": [
                    {
                      "type": "ApiFuzzingCheck",
                      "name": "Generic Fuzzing",
                      "url": "https://docs.gitlab.com/ee/user/application_security/api_fuzzing/",
                      "value": "bucket:param:Path: /api:check:Generic Fuzzing:check_arg::assert:Status Code:data:14c2529eb4498c5d1ffd6915d05bf58a91bdda796af59f41d480d11c099d0479"
                    }
                  ],
                  "evidence": {
                    "source": {
                      "id": "assert:Status Code",
                      "name": "Status Code"
                    },
                    "summary": "An invalid status code '500' was detected during testing.  Invalid status codes indicate an error or unexpected event occured.\n\n\n",
                    "request": {
                      "headers": [
                        {
                          "name": "Host",
                          "value": "149.248.44.52:7777"
                        },
                        {
                          "name": "Origin",
                          "value": "http://127.0.0.1:7777"
                        },
                        {
                          "name": "Accept-Encoding",
                          "value": "gzip,deflate,zlib"
                        },
                        {
                          "name": "Accept-Language",
                          "value": "en-US,en;q=0.8"
                        },
                        {
                          "name": "User-Agent",
                          "value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36"
                        },
                        {
                          "name": "Content-Type",
                          "value": "application/json; charset=UTF-8"
                        },
                        {
                          "name": "Accept",
                          "value": "*/*"
                        },
                        {
                          "name": "Referer",
                          "value": "http://127.0.0.1:7777/"
                        },
                        {
                          "name": "Cookie",
                          "value": ".AspNetCore.Antiforgery.a6BorKCfoC4=CfDJ8DL4GupRCDNGl_0OiAd3qWP5O9gu_LiedsgcLWhaCgn88Ru8oWwXGQvL3PXNdZ0n5TjUPody5ZI01g6DQyaaphE4U6osQ8UW4ek9hlOQX0XFvIg9G3vGuvPt1XiJkxzxEtoPMlepzIig3KblZd5YsOs"
                        },
                        {
                          "name": "Connection",
                          "value": "keep-alive"
                        },
                        {
                          "name": "Content-Length",
                          "value": "62"
                        },
                        {
                          "name": "authorization",
                          "value": "Token b5638ae7-6e77-4585-b035-7d9de2e3f6b3"
                        },
                        {
                          "name": "Via",
                          "value": "HTTP/1.1 GitLabApiSecurity 1.6.71"
                        }
                      ],
                      "method": "POST",
                      "url": "http://149.248.44.52:7777/api/users",
                      "body": "{\"user\":\"dd\",\"first\":\"mike\",\"last\":\"smith\",\"password\":\"hello\"}"
                    },
                    "response": {
                      "headers": [
                        {
                          "name": "Server",
                          "value": "TwistedWeb/18.9.0"
                        },
                        {
                          "name": "Date",
                          "value": "Thu, 07 Jan 2021 21:33:10 GMT"
                        },
                        {
                          "name": "Content-Type",
                          "value": "application/json"
                        },
                        {
                          "name": "Content-Length",
                          "value": "170"
                        },
                        {
                          "name": "Access-Control-Allow-Origin",
                          "value": "http://127.0.0.1:7777"
                        },
                        {
                          "name": "Vary",
                          "value": "Origin"
                        },
                        {
                          "name": "X-Powered-By",
                          "value": "PHP/7.0.11"
                        }
                      ],
                      "reason_phrase": "INTERNAL SERVER ERROR",
                      "status_code": 500,
                      "body": "{\"message\":\"The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application.\"}"
                    },
                    "supporting_messages": [
                      {
                        "name": "Origional",
                        "request": {
                          "headers": [
                            {
                              "name": "Host",
                              "value": "149.248.44.52:7777"
                            },
                            {
                              "name": "Origin",
                              "value": "http://127.0.0.1:7777"
                            },
                            {
                              "name": "Accept-Encoding",
                              "value": "gzip,deflate,zlib"
                            },
                            {
                              "name": "Accept-Language",
                              "value": "en-US,en;q=0.8"
                            },
                            {
                              "name": "User-Agent",
                              "value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36"
                            },
                            {
                              "name": "Content-Type",
                              "value": "application/json; charset=UTF-8"
                            },
                            {
                              "name": "Accept",
                              "value": "*/*"
                            },
                            {
                              "name": "Referer",
                              "value": "http://127.0.0.1:7777/"
                            },
                            {
                              "name": "Cookie",
                              "value": ".AspNetCore.Antiforgery.a6BorKCfoC4=CfDJ8DL4GupRCDNGl_0OiAd3qWP5O9gu_LiedsgcLWhaCgn88Ru8oWwXGQvL3PXNdZ0n5TjUPody5ZI01g6DQyaaphE4U6osQ8UW4ek9hlOQX0XFvIg9G3vGuvPt1XiJkxzxEtoPMlepzIig3KblZd5YsOs"
                            },
                            {
                              "name": "Connection",
                              "value": "keep-alive"
                            },
                            {
                              "name": "Content-Length",
                              "value": "62"
                            },
                            {
                              "name": "authorization",
                              "value": "Token b5638ae7-6e77-4585-b035-7d9de2e3f6b3"
                            }
                          ],
                          "method": "POST",
                          "url": "http://149.248.44.52:7777/api/users",
                          "body": "{\"user\":\"dd\",\"first\":\"mike\",\"last\":\"smith\",\"password\":\"hello\"}"
                        }
                      },
                      {
                        "name": "Recorded",
                        "request": {
                          "headers": [
                            {
                              "name": "Host",
                              "value": "149.248.44.52:7777"
                            },
                            {
                              "name": "Origin",
                              "value": "http://127.0.0.1:7777"
                            },
                            {
                              "name": "Accept-Encoding",
                              "value": "gzip,deflate,zlib"
                            },
                            {
                              "name": "Accept-Language",
                              "value": "en-US,en;q=0.8"
                            },
                            {
                              "name": "User-Agent",
                              "value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36"
                            },
                            {
                              "name": "Content-Type",
                              "value": "application/json; charset=UTF-8"
                            },
                            {
                              "name": "Accept",
                              "value": "*/*"
                            },
                            {
                              "name": "Referer",
                              "value": "http://127.0.0.1:7777/"
                            },
                            {
                              "name": "Cookie",
                              "value": ".AspNetCore.Antiforgery.a6BorKCfoC4=CfDJ8DL4GupRCDNGl_0OiAd3qWP5O9gu_LiedsgcLWhaCgn88Ru8oWwXGQvL3PXNdZ0n5TjUPody5ZI01g6DQyaaphE4U6osQ8UW4ek9hlOQX0XFvIg9G3vGuvPt1XiJkxzxEtoPMlepzIig3KblZd5YsOs"
                            },
                            {
                              "name": "Connection",
                              "value": "keep-alive"
                            },
                            {
                              "name": "Content-Length",
                              "value": "62"
                            },
                            {
                              "name": "authorization",
                              "value": "Token b5638ae7-6e77-4585-b035-7d9de2e3f6b3"
                            }
                          ],
                          "method": "POST",
                          "url": "http://149.248.44.52:7777/api/users",
                          "body": "{\"user\":\"dd\",\"first\":\"mike\",\"last\":\"smith\",\"password\":\"hello\"}"
                        },
                        "response": {
                          "headers": [
                            {
                              "name": "Server",
                              "value": "TwistedWeb/18.9.0"
                            },
                            {
                              "name": "Date",
                              "value": "Thu, 07 Jan 2021 21:33:07 GMT"
                            },
                            {
                              "name": "Content-Type",
                              "value": "application/json"
                            },
                            {
                              "name": "Content-Length",
                              "value": "170"
                            },
                            {
                              "name": "Access-Control-Allow-Origin",
                              "value": "http://127.0.0.1:7777"
                            },
                            {
                              "name": "Vary",
                              "value": "Origin"
                            },
                            {
                              "name": "X-Powered-By",
                              "value": "PHP/7.0.11"
                            }
                          ],
                          "reason_phrase": "INTERNAL SERVER ERROR",
                          "status_code": 500,
                          "body": "{\"message\":\"The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application.\"}"
                        }
                      }
                    ]
                  },
                  "location": {
                    "hostname": "http://149.248.44.52:7777",
                    "method": "POST",
                    "param": "Path: /api",
                    "path": "/api/users"
                  },
                  "assets": [
                    {
                      "type": "postman",
                      "name": "Postman Collection",
                      "url": "https://gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/har/-/jobs/950341333/artifacts/file/assets/vuln_2e1d70b1-9770-48e2-9a13-115c99897bde.postman_collection.json?inline=false"
                    },
                    {
                      "type": "http_session",
                      "name": "HTTP Messages",
                      "url": "https://gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/har/-/jobs/950341333/artifacts/file/assets/vuln_2e1d70b1-9770-48e2-9a13-115c99897bde_messages.zip?inline=false"
                    }
                  ],
                  "discovered_at": "2021-01-07T21:33:09.846"
                },
                {
                  "id": "12585546-6f94-432e-97c5-9c38d7863869",
                  "category": "API Fuzzing",
                  "name": "Generic Fuzzing",
                  "message": "Fuzzing injection via '/api/users' on 'POST 149.248.44.52:7777/api/users'",
                  "description": "Fuzzing performes non-specific injections into target field in an attempt to cause unexpected behaviour of the target. Fuzzing can find injection style issues, buffer overflows, memory corruption, stability issues, and others.  Fuzzing consists of sending mutated/semi-malformed data injections in an automated fashion to the target.\n\nThe 'mutator' is the data generator in use when the issue was identified.\n\nMutator: StringCaseLower\nParameter Original Value: users\nParameter Mutated Value: users\n\n\n",
                  "cve": "bucket:param:Path: /api/users:check:Generic Fuzzing:check_arg::assert:Status Code:data:7dfb4cf67742cb0660305e56ef816c53fcec892cae7f6ee39b75f34e659d672c",
                  "severity": "High",
                  "confidence": "High",
                  "scanner": {
                    "id": "gitlab-api-fuzzing",
                    "name": "GitLab API Fuzzing"
                  },
                  "identifiers": [
                    {
                      "type": "ApiFuzzingCheck",
                      "name": "Generic Fuzzing",
                      "url": "https://docs.gitlab.com/ee/user/application_security/api_fuzzing/",
                      "value": "bucket:param:Path: /api/users:check:Generic Fuzzing:check_arg::assert:Status Code:data:7dfb4cf67742cb0660305e56ef816c53fcec892cae7f6ee39b75f34e659d672c"
                    }
                  ],
                  "evidence": {
                    "source": {
                      "id": "assert:Status Code",
                      "name": "Status Code"
                    },
                    "summary": "An invalid status code '500' was detected during testing.  Invalid status codes indicate an error or unexpected event occured.\n\n\n",
                    "request": {
                      "headers": [
                        {
                          "name": "Host",
                          "value": "149.248.44.52:7777"
                        },
                        {
                          "name": "Origin",
                          "value": "http://127.0.0.1:7777"
                        },
                        {
                          "name": "Accept-Encoding",
                          "value": "gzip,deflate,zlib"
                        },
                        {
                          "name": "Accept-Language",
                          "value": "en-US,en;q=0.8"
                        },
                        {
                          "name": "User-Agent",
                          "value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36"
                        },
                        {
                          "name": "Content-Type",
                          "value": "application/json; charset=UTF-8"
                        },
                        {
                          "name": "Accept",
                          "value": "*/*"
                        },
                        {
                          "name": "Referer",
                          "value": "http://127.0.0.1:7777/"
                        },
                        {
                          "name": "Cookie",
                          "value": ".AspNetCore.Antiforgery.a6BorKCfoC4=CfDJ8DL4GupRCDNGl_0OiAd3qWP5O9gu_LiedsgcLWhaCgn88Ru8oWwXGQvL3PXNdZ0n5TjUPody5ZI01g6DQyaaphE4U6osQ8UW4ek9hlOQX0XFvIg9G3vGuvPt1XiJkxzxEtoPMlepzIig3KblZd5YsOs"
                        },
                        {
                          "name": "Connection",
                          "value": "keep-alive"
                        },
                        {
                          "name": "Content-Length",
                          "value": "62"
                        },
                        {
                          "name": "authorization",
                          "value": "Token b5638ae7-6e77-4585-b035-7d9de2e3f6b3"
                        },
                        {
                          "name": "Via",
                          "value": "HTTP/1.1 GitLabApiSecurity 1.6.71"
                        }
                      ],
                      "method": "POST",
                      "url": "http://149.248.44.52:7777/api/users",
                      "body": "{\"user\":\"dd\",\"first\":\"mike\",\"last\":\"smith\",\"password\":\"hello\"}"
                    },
                    "response": {
                      "headers": [
                        {
                          "name": "Server",
                          "value": "TwistedWeb/18.9.0"
                        },
                        {
                          "name": "Date",
                          "value": "Thu, 07 Jan 2021 21:33:12 GMT"
                        },
                        {
                          "name": "Content-Type",
                          "value": "application/json"
                        },
                        {
                          "name": "Content-Length",
                          "value": "170"
                        },
                        {
                          "name": "Access-Control-Allow-Origin",
                          "value": "http://127.0.0.1:7777"
                        },
                        {
                          "name": "Vary",
                          "value": "Origin"
                        },
                        {
                          "name": "X-Powered-By",
                          "value": "PHP/7.0.11"
                        }
                      ],
                      "reason_phrase": "INTERNAL SERVER ERROR",
                      "status_code": 500,
                      "body": "{\"message\":\"The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application.\"}"
                    },
                    "supporting_messages": [
                      {
                        "name": "Origional",
                        "request": {
                          "headers": [
                            {
                              "name": "Host",
                              "value": "149.248.44.52:7777"
                            },
                            {
                              "name": "Origin",
                              "value": "http://127.0.0.1:7777"
                            },
                            {
                              "name": "Accept-Encoding",
                              "value": "gzip,deflate,zlib"
                            },
                            {
                              "name": "Accept-Language",
                              "value": "en-US,en;q=0.8"
                            },
                            {
                              "name": "User-Agent",
                              "value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36"
                            },
                            {
                              "name": "Content-Type",
                              "value": "application/json; charset=UTF-8"
                            },
                            {
                              "name": "Accept",
                              "value": "*/*"
                            },
                            {
                              "name": "Referer",
                              "value": "http://127.0.0.1:7777/"
                            },
                            {
                              "name": "Cookie",
                              "value": ".AspNetCore.Antiforgery.a6BorKCfoC4=CfDJ8DL4GupRCDNGl_0OiAd3qWP5O9gu_LiedsgcLWhaCgn88Ru8oWwXGQvL3PXNdZ0n5TjUPody5ZI01g6DQyaaphE4U6osQ8UW4ek9hlOQX0XFvIg9G3vGuvPt1XiJkxzxEtoPMlepzIig3KblZd5YsOs"
                            },
                            {
                              "name": "Connection",
                              "value": "keep-alive"
                            },
                            {
                              "name": "Content-Length",
                              "value": "62"
                            },
                            {
                              "name": "authorization",
                              "value": "Token b5638ae7-6e77-4585-b035-7d9de2e3f6b3"
                            }
                          ],
                          "method": "POST",
                          "url": "http://149.248.44.52:7777/api/users",
                          "body": "{\"user\":\"dd\",\"first\":\"mike\",\"last\":\"smith\",\"password\":\"hello\"}"
                        }
                      },
                      {
                        "name": "Recorded",
                        "request": {
                          "headers": [
                            {
                              "name": "Host",
                              "value": "149.248.44.52:7777"
                            },
                            {
                              "name": "Origin",
                              "value": "http://127.0.0.1:7777"
                            },
                            {
                              "name": "Accept-Encoding",
                              "value": "gzip,deflate,zlib"
                            },
                            {
                              "name": "Accept-Language",
                              "value": "en-US,en;q=0.8"
                            },
                            {
                              "name": "User-Agent",
                              "value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36"
                            },
                            {
                              "name": "Content-Type",
                              "value": "application/json; charset=UTF-8"
                            },
                            {
                              "name": "Accept",
                              "value": "*/*"
                            },
                            {
                              "name": "Referer",
                              "value": "http://127.0.0.1:7777/"
                            },
                            {
                              "name": "Cookie",
                              "value": ".AspNetCore.Antiforgery.a6BorKCfoC4=CfDJ8DL4GupRCDNGl_0OiAd3qWP5O9gu_LiedsgcLWhaCgn88Ru8oWwXGQvL3PXNdZ0n5TjUPody5ZI01g6DQyaaphE4U6osQ8UW4ek9hlOQX0XFvIg9G3vGuvPt1XiJkxzxEtoPMlepzIig3KblZd5YsOs"
                            },
                            {
                              "name": "Connection",
                              "value": "keep-alive"
                            },
                            {
                              "name": "Content-Length",
                              "value": "62"
                            },
                            {
                              "name": "authorization",
                              "value": "Token b5638ae7-6e77-4585-b035-7d9de2e3f6b3"
                            }
                          ],
                          "method": "POST",
                          "url": "http://149.248.44.52:7777/api/users",
                          "body": "{\"user\":\"dd\",\"first\":\"mike\",\"last\":\"smith\",\"password\":\"hello\"}"
                        },
                        "response": {
                          "headers": [
                            {
                              "name": "Server",
                              "value": "TwistedWeb/18.9.0"
                            },
                            {
                              "name": "Date",
                              "value": "Thu, 07 Jan 2021 21:33:07 GMT"
                            },
                            {
                              "name": "Content-Type",
                              "value": "application/json"
                            },
                            {
                              "name": "Content-Length",
                              "value": "170"
                            },
                            {
                              "name": "Access-Control-Allow-Origin",
                              "value": "http://127.0.0.1:7777"
                            },
                            {
                              "name": "Vary",
                              "value": "Origin"
                            },
                            {
                              "name": "X-Powered-By",
                              "value": "PHP/7.0.11"
                            }
                          ],
                          "reason_phrase": "INTERNAL SERVER ERROR",
                          "status_code": 500,
                          "body": "{\"message\":\"The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application.\"}"
                        }
                      }
                    ]
                  },
                  "location": {
                    "hostname": "http://149.248.44.52:7777",
                    "method": "POST",
                    "param": "Path: /api/users",
                    "path": "/api/users"
                  },
                  "assets": [
                    {
                      "type": "postman",
                      "name": "Postman Collection",
                      "url": "https://gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/har/-/jobs/950341333/artifacts/file/assets/vuln_12585546-6f94-432e-97c5-9c38d7863869.postman_collection.json?inline=false"
                    },
                    {
                      "type": "http_session",
                      "name": "HTTP Messages",
                      "url": "https://gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/har/-/jobs/950341333/artifacts/file/assets/vuln_12585546-6f94-432e-97c5-9c38d7863869_messages.zip?inline=false"
                    }
                  ],
                  "discovered_at": "2021-01-07T21:33:12.294"
                }
              ]
            }
          ```
  expected_results:
    - New page -/merge_requests/new is loaded with ability to create a new MR with the changed file
